package com.haulmont.vaadin.sample;

import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.TextArea;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

/**
 * @author artamonov
 * @version $Id$
 */
public class TestUI extends UI {

    @Override
    protected void init(VaadinRequest request) {
        VerticalLayout content = new VerticalLayout();

        TextArea normalTextArea = new TextArea();
        normalTextArea.setRows(10);
        normalTextArea.setWordwrap(true);

        content.addComponent(normalTextArea);

        // @DelegaToWidget will not work with overridden state in connector
        SuperTextArea superTextArea = new SuperTextArea();
        superTextArea.setRows(10);
        superTextArea.setWordwrap(true);

        content.addComponent(superTextArea);

        setContent(content);
    }
}